dab_sum_elements_vff Class Reference

Sum up all elements of a vector. More...

`#include <dab_sum_elements_vff.h>`

Inheritance diagram for dab_sum_elements_vff:
[legend]

## Public Member Functions

int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends

dab_sum_elements_vff_sptr | dab_make_sum_elements_vff (unsigned int length)
| Return a shared_ptr to a new instance of dab_sum_elements_vff.

## Detailed Description

Sum up all elements of a vector.

Parameters

  length | length of the vector

Returns

input: float vector output: float

## Member Function Documentation

## work()

int dab_sum_elements_vff::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Friends And Related Symbol Documentation

## dab_make_sum_elements_vff

dab_sum_elements_vff_sptr dab_make_sum_elements_vff | ( | unsigned int | length | ) |

friend

Return a shared_ptr to a new instance of dab_sum_elements_vff.

To avoid accidental use of raw pointers, dab_sum_elements_vff's constructor is private. dab_make_sum_elements_vff is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- dab_sum_elements_vff.h